FROM registry.access.redhat.com/ubi9/python-39:latest@sha256:f33083d843898a6ffae35d91d6ff4bf6cfe0d9585c7897b04834cda30ede5b5c AS builder

USER default

RUN pip install -U --upgrade pip && pip install -U setuptools wheel pdm

COPY pyproject.toml pdm.lock /opt/app-root/src/
COPY src/ /opt/app-root/src/

RUN pdm install --prod --no-lock --no-editable

FROM registry.access.redhat.com/ubi9/python-39:latest@sha256:f33083d843898a6ffae35d91d6ff4bf6cfe0d9585c7897b04834cda30ede5b5c

USER root

RUN dnf update -y

USER default

RUN pip install -U --upgrade pip && pip install -U setuptools wheel pdm

ENV PATH=/opt/app-root/src/.venv/bin:$PATH
ENV PYTHONPATH=/opt/app-root/src/.venv/lib/python3.9/site-packages

COPY --from=builder /opt/app-root/src/.venv/ /opt/app-root/src/.venv/
